---
search:
  exclude: true
---
# TOR IRC 

Before we start, you will need a Debian 10+ VPS (you can get one on digitalocean for example), if you prefer to use your own self hosted server, make sure that port 80 and 443 are correctly port forwarded so that the public ip points to the server and not the router. Once that's done, go and ssh into your debian 10 server. 

You can use DuckDNS to get a free domain name:

![](0.png)
    
    
    [ 192.168.100.1/24 ] [ /dev/pts/13 ] [~/Nextcloud/blog/Conf]
    → ssh root@ech4.duckdns.org
    The authenticity of host 'ech4.duckdns.org (178.128.46.38)' can't be established.
    ECDSA key fingerprint is SHA256:z2HAncB99pfbAUfj9tJY7vlo8EGUzCIUxWBAnjAflcA.
    Are you sure you want to continue connecting (yes/no/[fingerprint])? yes
    Warning: Permanently added 'ech4.duckdns.org,178.128.46.38' (ECDSA) to the list of known hosts.
    Linux debian-s-1vcpu-1gb-lon1-01 4.19.0-10-cloud-amd64 #1 SMP Debian 4.19.132-1 (2020-07-24) x86_64
    
    The programs included with the Debian GNU/Linux system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.
    
    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
    permitted by applicable law.
    root@debian-s-1vcpu-1gb-lon1-01:~#
    
    

## **1**
    
    
    apt update -y && apt upgrade -y
    apt install tor inspircd -y
    
    wget https://blog.nowhere.moe/servers/irc_tor/inspircd.conf -O /etc/inspircd/inspircd.conf
    echo 'Welcome to nihilists TOR-hosted IRC!' > /etc/inspircd/inspircd.motd
    nano /etc/inspircd/inspircd.conf
    
    

![](1.png)

Once finished, hit CTRL+S to save and CTRL+X to exit nano
    
    
    nano /etc/tor/torrc
    
    

goto location-hidden services
    
    
    echo 'HiddenServiceDir /var/lib/tor/hidden_service/' >> /etc/tor/torrc
    echo 'HiddenServicePort 6667 127.0.0.1:6667' >> /etc/tor/torrc
    
    systemctl restart tor
    cat /var/lib/tor/hidden_service/hostname
    dhbt7372zj43c5vmct4f4vikf7hxnlbxrj2ygjjaus6atbydhqsbpyqd.onion
    
    

Now you can use that address to connect to your irc server, now restart inspircd:
    
    
    systemctl status inspircd 
    systemctl restart inspircd 
    
    

client:
    
    
    sudo apt install irssi hexchat tor
    
    sudo systemctl start tor
    
    

hexchat

![](3.png) ![](2.png) ![](4.png)

And there you have it! we have been able to log onto our IRC via the tor network.

