---
search:
  exclude: true
---
# Windows Server Setup (QEMU) 

## **Initial Setup**

We'll install WS2019 on a virtual 50G drive:

![](1.png)

After rebooting, setup the administrator password:

![](2.png)

The machine will reboot a second time, login with your admin password and allow this windows server to be discoverable by other PCs on the network:

![](3.png)

And that's it!

## **Important Notes**

The main difference between Debian and windows servers is mainly the GUI part, Windows offers largely a graphical user interface for the sysadmin to work with. 

![](4.png)

In this screenshot we can see the main server manager window that we'll use throughout this tutorial series. The green arrows are where system events will appear (warnings or alerts incase a service goes down for example) the red arrows are going to be the main steps in our following tutorials, this is where we will add features to our server. Or rather, we will add services to this server. 

![](5.png)

Don't forget that firefox comes with alot of stupid software pre installed, like the web browser, so install a real web-browser just so that you don't have to worry about it later on. 

![](6.png) ![](7.png)

Now that's done, we can begin this tutorial series:

## **Course of Action**

In this tutorial series, i am going to explain how to make services like DNS, Active Directory, Users and domain Groups (organisational units), Raid and backups on virtual disks, and a mail integration on a Windows Server virtual machine on QEMU (thanks to virt-manager).

