---
search:
  exclude: true
---
# Windows Server AD Users Setup (QEMU) 

## **Requirements**

You'll need a working active directory server :

![](1.png)

You can go to my previous tutorial [here](../w2_ad/index.md)to check how to do that.

## **Setting up the AD**

Now from here just go into your Active Directory Administrative Center:

![](2.png)

And in here we'll first create 2 groups:

![](3.png) ![](4.png) ![](5.png)

So here we have 2 groups : Employees and Commercial. Next we're going to create Organisational Units: 

![](6.png) ![](7.png) ![](8.png)

Now that we have our 2 organizational units (Org A and B) we're going to create our users : 

![](9.png) ![](10.png)

So now we're going to add this User to the Employees group:

![](11.png)

Now create the second user:

![](12.png)

and add him to the Commercial group:

![](13.png)

Once that's done just click OK and try to login as either of the 2 users we just created:

![](14.png)

## **Logging from another machine**

We will do this from a second windows 10 client machine:

![](21.png) ![](22.png) ![](23.png)

Here just hit that you want this machine to join the local Active Directory Domain:

![](24.png) ![](25.png)

Now here before you hit "Next" you will need to use the correct DNS server which is the Windows Server machine itself. If you don't do that, your machine will not know where the domain name "nowhere.local" is. So hit WIN+X and go into network connections: 

![](26.png) ![](27.png) ![](28.png) ![](29.png)

Here i supplied the ip address of my DNS server: my windows server and just hit ok.

![](30.png)

Now that i supplied the correct DNS server, my machine is able to tell which ip leads to nowhere.local, and therefore we can continue:

![](31.png) ![](32.png) ![](33.png)

From here just hit "restart now", and then login to the user you created earlier:

![](34.png)

And once you're logged in just go check your user's info:

![](35.png) ![](36.png)

And here you can see that you've successfully logged in as the user Someone into your Active directory.

