---
search:
  exclude: true
---
# virt-manager setup

In this tutorial we'll setup virt-manager on debian:

## **Initial Setup**

To start with just open up a terminal or ssh into your debian server and run the following commands:

![](prg/0.png)

once that's done we will enable the libvirtd service

![](prg/1.png)

To verify that it is indeed working, we'll start up virt-manager like so:

![](prg/2.png)

And there we have it !

![](prg/3.png)

Now before we create any virtual machine , we'll create the NAT configuration

## **NAT setup**

Run the following command:

![](prg/4.png)

Once that's done we'll create the NAT configuration:

![](prg/5.png) ![](prg/6.png) ![](prg/7.png) ![](prg/8.png)

Once that's done, we are ready to create our virtualized debian machine, Thanks to the NAT configuration we will be able to ssh into it: 

## **Debian Virtualisation Example**

Download a debian iso and then do the following:

![](prg/9.png) ![](prg/10.png) ![](prg/11.png)

once that's done just go on installing debian as usual and make sure you install the ssh server on it:

![](prg/12.png) ![](prg/13.png)

And that's it ! we have been able to ssh into our virtual machine inside qemu kvm. Thanks to the NAT configuration, the communication between the host machine and the virtualised one is actually possible. which allowed us to ssh into the machine. without this intermediate step, it is not even possible to ping the host machine, so a ssh connection would be out of question. 

